// ---------------------------------------------------------------------------------
// Quick Battle 2 editor
//
// by Uwe Brinkschulte
//
// Text Header File
// ----------------------------------------------------------------------------------
#ifndef __QB2TEXT_H
#define __QB2TEXT_H

// welcome text
#define MAIN_CAPTION       "Quick Battle 2 Editor"
#define WELCOME_TEXT       "Welcome to the Quick Battle 2 Editor"
#define VERSION_TEXT       "Version 1.3"

// error messages

// general errors
#define ERR_HEADER         "Error"
#define ERR_DESCNOTFOUND   "Cannot open qb2.txt file!"
#define ERR_DESCINVALID    "No valid qb2.txt file!"
#define ERR_DESCVERSION    "Invalid version of qb2.txt file!"
#define ERR_OUTOFMEMORY    "Out of memory!"
#define ERR_AVSHIPOPEN     "Cannot open qbships.txt file!"
#define ERR_AVSYSTEMOPEN   "Cannot open qb2sys.txt file!"
#define ERR_CANNOTRENAME   "Cannot rename the file!"
#define ERR_CANNOTDELETE   "Cannot delete the file!"

// configuration errors
#define ERR_HEADER1        "Error in battle file "
#define ERR_CFGOPEN        "Cannot open file!"
#define ERR_CFGCREATE      "Cannot create file!"
#define ERR_CFGWRITE       "Cannot write file!"
#define ERR_CFGINVALID     "Not a valid qb2 battle file!"
#define ERR_CFGVERSION     "Invalid version of qb2 battle file!"
#define ERR_LINETOOLONG    "Too long line "
#define ERR_INVALIDKEYWORD "Unknown keyword in line "
#define ERR_INVALIDLINE    "Invalid line "
#define ERR_SHIPNAME       "Redefinition of ship name "
#define ERR_SHIPNAME1      " in line "
#define ERR_EMPTYPARAM     "Parameter expected in line "
#define ERR_INVALIDQUOTES  "\" not allowed in line "
#define ERR_INVALIDEQUAL   "Invalid = in line "
#define ERR_PLAYERREDEF    "Player redefinition in line "
#define ERR_SYSEXPECTED    "System definition expected in line "
#define ERR_SYSALREADYDEF  "System redefinition in line "
#define ERR_TOOMANYSYS     "Maximum number of systems exceeded in line "
#define ERR_PLAYERPOSREDEF "Player position redefinition for the current system in line "
#define ERR_FRIENDPOSREDEF "Friend position redefinition for the current system in line "
#define ERR_ENEMYPOSREDEF  "Enemy position redefinition for the current system in line "
#define ERR_HULKPOSREDEF   "Hulk position redefinition for the current system in line "
#define ERR_NEUTRALPOSREDEF "Neutral position redefinition for the current system in line "
#define ERR_JUMPGATEPOSREDEF "Jump gate position redefinition for the current system in line "
#define ERR_TOOMANYPARAMS  "Too many parameters in line "
#define ERR_INVALIDPOS     "Invalid position parameters in line "
#define ERR_INVSTARDATE    "Invalid stardate in line "
#define ERR_STARDATEREDEF  "Stardate redefinition for the current system in line "
#define ERR_INVBATTLEMODE  "Invalid battle mode in line "
#define ERR_BATTLEMODEREDEF "BattleMode redefinition for the current system in line "
#define ERR_STATPOS        "You cannot define FriendPosition, EnemyPosition or NeutralPosition at the same time when using statistic battle mode in system "
#define ERR_STATRESSHIP    "At least one system resident friend and enemy must be defined when using statistic battle mode in system "
#define ERR_MUSTSTAYREDEF  "WarpOut redefinition in line "
#define ERR_INVPARAM       "Invalid parameter in line "
#define ERR_SHIPCHANGEREDEF "ShipChange redefinition in line "
#define ERR_COLLISIONREDEF "Collision redefinition in line "
#define ERR_TITLEREDEF     "Title redefinition in line "
#define ERR_LONGTITLE      "Title too long in line "
#define ERR_INVALIDFIS     "# not allowed in line "
#define ERR_LONGTITLELINE  "TitleLine or EpilogLine too long in line "
#define ERR_EMPTYTITLELINE "TitleLine or EpilogLine contains a voice file, but no text in line "
#define ERR_NOSPEAKER      "No speaker defined in line "
#define ERR_NODIALOG       "No dialog line defined in line "
#define ERR_LONGSPEAKER    "Speaker too long in line "
#define ERR_LONGDIALOG     "Dialog line too long in line "
#define ERR_SELFDESTRUCTREDEF "SelfDestruct redefinition in line "
#define ERR_INVSELFDESTRUCT "Invalid self destruct definition in line "
#define ERR_NEUTBEHAVREDEF "NeutralBehavior redefinition for the current system in line "
#define ERR_INVNEUTBEHAV   "Invalid NeutralBehavior in line "
#define ERR_ENEMYWARPREDEF      "WarpDisable = Enemy redefinition for the current system in line "
#define ERR_FRIENDWARPREDEF     "WarpDisable = Friend redefinition for the current system in line "
#define ERR_NEUTRALWARPREDEF    "WarpDisable = Neutral redefinition for the current system in line "
#define ERR_PLAYERWARPREDEF     "WarpDisable = Player redefinition for the current system in line "
#define ERR_INVACTION           "Invalid action in line "
#define ERR_FRIENDWARPINREDEF   "FriendAction = WarpInAfter redefinition for the current system in line "
#define ERR_ENEMYWARPINREDEF    "EnemyAction = WarpInAfter redefinition for the current system in line "
#define ERR_NEUTRALWARPINREDEF  "NeutralAction = WarpInAfter redefinition for the current system in line "
#define ERR_FRIENDWARPOUTREDEF  "FriendAction = WarpOutAfter redefinition for the current system in line "
#define ERR_ENEMYWARPOUTREDEF   "EnemyAction = WarpOutAfter redefinition for the current system in line "
#define ERR_NEUTRALWARPOUTREDEF "NeutralAction = WarpOutAfter redefinition for the current system in line "
#define ERR_JOINESCORTREDEF     "FriendAction = JoinEscortAfter redefinition for the current system in line "
#define ERR_ONLYFRIENDSJOIN     "JoinEscortAfter cannot be specified for EnemyAction or NeutralAction in line "
#define ERR_STATNOWARPIN        "FriendAction = WarpInAfter not allowed when using statistic battle mode in system "
#define ERR_STATNOJOINESCORT    "FriendAction = JoinEscortAfter not allowed when using statistic battle mode in system "
#define ERR_JOINWARPOUT         "FriendAction = WarpOutAfter and FriendAction = JoinEscortAfter cannot be defined at the same time in system "
#define ERR_PCLOAKREDEF         "PerfectCloak redefinition in line "
#define ERR_JUMPGATEREDEF  "JumpGate redefinition in line "
#define ERR_JUMPTIMEREDEF  "JumpTime redefinition in line "
#define ERR_INVJUMPTIME    "Invalid jump time in line "
#define ERR_JUMPDESTREDEF  "JumpDestination redefinition in line "
#define ERR_JUMPONLYREDEF  "JumpOption = JumpOnly redefinition in line "
#define ERR_CLEARJUMPREDEF "JumpOption = ClearOnJump redefinition in line "
#define ERR_NOSPINREDEF    "JumpOption = NoSpin redefinition in line "
#define ERR_SHOWJUMPREDEF  "JumpOption = ShowActivation redefinition in line "
#define ERR_HAILJUMPREDEF  "JumpOption = ActivateOnHail redefinition in line "
#define ERR_GATEHIDDENREDEF "JumpOption = HiddenGate redefinition in line "
#define ERR_DISTJUMPREDEF  "JumpOption = ActivationDistance redefinition in line "
#define ERR_JUMPGATENOPOS  "Nor position nor time defined for the jump gate in system "
#define ERR_JUMPGATENODEST "No destination defined for the jump gate in system "
#define ERR_UNKNOWNJUMPDEST "The following JumpDestination is not defined as a system: "
#define ERR_NOSYSDEFINED   "No system defined"
#define ERR_NOPLAYERDEF    "No player ship defined"

// editing errors
#define ERR_NAMEREDEF1     "Ship name "
#define ERR_NAMEREDEF2     " already used for "
#define ERR_NAMEREDEF3a    "the player ship"
#define ERR_NAMEREDEF3b    "an escort ship"
#define ERR_NAMEREDEF3c    "a friendly ship"
#define ERR_NAMEREDEF3d    "an enemy ship"
#define ERR_NAMEREDEF3e    "a neutral ship"
#define ERR_NAMEREDEF3f    "a hulked ship"
#define ERR_NAMEREDEF3g    "a jump gate"
#define ERR_NAMEREDEF4     " in system "
#define ERR_DEFAULTREDEF1  "Your "
#define ERR_DEFAULTREDEF2a "player ship name "
#define ERR_DEFAULTREDEF2b "escort ship name "
#define ERR_DEFAULTREDEF2c "friend ship name "
#define ERR_DEFAULTREDEF2d "enemy ship name "
#define ERR_DEFAULTREDEF2e "neutral ship name "
#define ERR_DEFAULTREDEF2f "hulk ship name "
#define ERR_DEFAULTREDEF2g "jump gate name "
#define ERR_DEFAULTREDEF3  " defined in system "
#define ERR_DEFAULTREDEF4  " conflicts with a default "
#define ERR_DEFAULTREDEF5  " in system "
#define ERR_DEFAULTREDEF6  ". Please change this name!"
#define ERR_SYSTEMREDEF    "This system is already contained in your battle configuration!"
#define ERR_COORDINATES    "Invalid coordinates!"
#define ERR_NBEHAVNOTIMESPEC     "You have not specified a time for the behavior change!"
#define ERR_NWARPINNOTIMESPEC    "You have not specified a warp in time!"
#define ERR_NWARPOUTNOTIMESPEC   "You have not specified a warp out time!"
#define ERR_EWARPINNOTIMESPEC    "You have not specified a warp in time for enemies!"
#define ERR_EWARPOUTNOTIMESPEC   "You have not specified a warp out time for enemies!"
#define ERR_FWARPINNOTIMESPEC    "You have not specified a warp in time for friends!"
#define ERR_FWARPOUTNOTIMESPEC   "You have not specified a warp out time for friends!"
#define ERR_JOINESCORTNOTIMESPEC "You have not specified a join escort time for friends!"
#define ERR_BATTLEALREADYPRESENT "This battle is already included in your battle list!"
#define ERR_JUMPDESTNOTDEFINED1  "The jump gate destination system "
#define ERR_JUMPDESTNOTDEFINED2  " is not included in your battle! You should either add the system or modify the destination of the jump gate located in "
#define ERR_JUMPNOTIMESPEC       "You have not specified an appearance time!"
#define ERR_JUMPNODISTSPEC       "You have not specified an activation distance!"
#define ERR_DESTRUCTINVALID      "The self destruct code contains invalid characters. Only upper case letters and digits are allowed!"
#define ERR_DESTRUCTNODISTSPEC   "You have not specified an overkill or selective overkill distance!"
#define ERR_INCOMPLETEGATE       "The jump gate definition in the system(s) "
#define ERR_INCOMPLETEGATE1      " is not complete. Please refer to the jump gate screen for more details!"

// warnings
#define WARN_HEADER        "Warning"
#define WARN_BRAND         "This configuration was not created by the Quick Battle 2 editor. You can proceed without problems, but you may lose most of your hand-written comments when saving the configuration file!"
#define WARN_OVERWRITE     "A configuration with the same name exists already. As soon as you save the new configuration the existing one will be overwritten. But you can still cancel or save it under a different name."
#define WARN_TITFISREMOVED "The title contained a # sign. This sign has been replaced by a *."
#define WARN_TITLETRUNC    "At least one title line was longer than allowed. Line has been truncated."
#define WARN_TITLEFISREMOVED "At least one title line contained a # sign. This sign has been replaced by a *."
#define WARN_TITLEEMPTY    "At least one title line contained a voice file, but no text. Line has been removed."
#define WARN_EPILOGTRUNC   "At least one epilog line was longer than allowed. Line has been truncated."
#define WARN_EPILOGFISREMOVED "At least one epilog line contained a # sign. This sign has been replaced by a *."
#define WARN_EPILOGEMPTY   "At least one epilog line contained a voice file, but no text. Line has been removed."
#define WARN_DIALOGTRUNC   "At least one speaker or dialog line was longer than allowed. Object has been truncated."
#define WARN_DIALOGNOSPEAKER "At least one dialog line had no speaker definition. Default speaker inserted."
#define WARN_DIALOGFISREMOVED "At least one voice file, speaker or dialog line contained a # sign. This sign has been replaced by a *."
#define WARN_DIALOGEMPTY   "At least one dialog line contained a speaker or voice file, but no text. Line has been removed."
#define WARN_BATTLEMODE    "Using the statistical battle mode for a system introduces some restrictions (no player-, enemy- or friend-position at the same time, at least one friend and enemy, no warp-in or join-escort for friends). These restrictions are violated in the following system(s): "
#define WARN_BATTLEMODE1   ". The Battle mode has been automatically forced to AI for these systems!"
#define WARN_NWARPOUTTIME  "The neutral warp out time you have specified is less than the warp in time. Under these circumstances the script will execute the warp out immediately after the warp in!"
#define WARN_EWARPOUTTIME  "The enemy warp out time you have specified is less than the warp in time. Under these circumstances the script will execute the warp out immediately after the warp in!"
#define WARN_FWARPOUTTIME  "The friend warp out time you have specified is less than the warp in time. Under these circumstances the script will execute the warp out immediately after the warp in!"
#define WARN_NBEHAVTIME    "The time for the behavior change you have specified is less than the warp in time. Under these circumstances the script will execute the behavior change immediately after the warp in!"
#define WARN_JOINESCORTTIME "The join escort time you have specified is less than the warp in time. Under these circumstances the script will execute the join escort immediately after the warp in!"
#define WARN_DESTRUCTTRUNC "The self destruct code is too long. Code has been truncated!"
#define WARN_DESTRUCTLOWER "The self destruct code contains lower case characters. These characters have been converted to upper case!"

// messages for checking a configuration
#define CHECK_NONE                  "-- none --"
#define CHECK_RESULTGOOD            "The battle looks FINE! No missing objects found!"
#define CHECK_RESULTBAD             "WARNING! The ships, systems and planets listed here are needed for this battle and not registered in your qbships.txt or qb2sys.txt file. You may not have these objects!"
#define CHECK_MISSINGPLAYERPLANET   " is given as player position in system "
#define CHECK_MISSINGFRIENDPLANET   " is given as friend position in system "
#define CHECK_MISSINGENEMYPLANET    " is given as enemy position in system "
#define CHECK_MISSINGNEUTRALPLANET  " is given as neutral position in system "
#define CHECK_MISSINGHULKPLANET     " is given as hulk position in system "
#define CHECK_MISSINGJUMPGATEPLANET " is given as jump gate position in system "
#define CHECK_MISSINGPLAYERSHIP     " is defined as player ship"
#define CHECK_MISSINGESCORTSHIP     " is defined as escort ship"
#define CHECK_MISSINGFRIENDSHIP     " is defined as friendly ship in system "
#define CHECK_MISSINGENEMYSHIP      " is defined as enemy ship in system "
#define CHECK_MISSINGNEUTRALSHIP    " is defined as neutral ship in system "
#define CHECK_MISSINGHULKSHIP       " is defined as hulk in system "
#define CHECK_MISSINGJUMPGATE       " is defined as jump gate in system "

// remarks for the output file
#define REM_TITLE          "// The title of the battle"
#define REM_TITLELINE      "// Some title lines"
#define REM_EPILOGLINE     "// Some epilog lines"
#define REM_PLAYER         "// The player ship"
#define REM_ESCORT         "// The player's escort"
#define REM_WARPOUT        "// The warp out mode"
#define REM_COLLISION      "// The collision mode"
#define REM_SELFDESTRUCT   "// The self destruct mode"
#define REM_SHIPCHANGE     "// The ship change mode"
#define REM_PERFECTCLOAK   "// The perfect cloak mode"
#define REM_SYSTEM         "// Define a system -------------------------------------------"
#define REM_FRIENDS        "// The friends in the system"
#define REM_ENEMIES        "// The enemies in the system"
#define REM_NEUTRALS       "// The neutrals in the system"
#define REM_HULKS          "// The hulks in the system"
#define REM_JUMPGATE       "// The jump gate in the system"
#define REM_JUMPTIME       "// The jump time in the system"
#define REM_JUMPDEST       "// The jump destination in the system"
#define REM_POSITION       "// The positions in the system"
#define REM_WARPDISABLE    "// The warp disables in the system"
#define REM_STARDATE       "// The stardate in the system"
#define REM_NEUTRALBEHAV   "// The neutral behavior in the system"
#define REM_BATTLEMODE     "// The battle mode in the system"
#define REM_FRIENDACTION   "// The friend actions in the system"
#define REM_ENEMYACTION    "// The enemy actions in the system"
#define REM_NEUTRALACTION  "// The neutral actions in the system"
#define REM_STARTDIALOG            "// The starting dialog in the system"
#define REM_ENDDIALOG              "// The ending dialog in the system"
#define REM_FRIENDWARPINDIALOG     "// The friends warp in dialog in the system"
#define REM_ENEMYWARPINDIALOG      "// The enemies warp in dialog in the system"
#define REM_NEUTRALWARPINDIALOG    "// The neutrals warp in dialog in the system"
#define REM_FRIENDWARPOUTDIALOG    "// The friends warp out dialog in the system"
#define REM_ENEMYWARPOUTDIALOG     "// The enemies warp out dialog in the system"
#define REM_NEUTRALWARPOUTDIALOG   "// The neutrals warp out dialog in the system"
#define REM_JOINESCORTDIALOG       "// The friends join escort dialog in the system"
#define REM_NEUTRALTOENEMYDIALOG   "// The neutrals become enemies dialog in the system"
#define REM_NEUTRALTOFRIENDDIALOG  "// The neutrals become friends dialog in the system"
#define REM_JUMPAPPEARSDIALOG      "// The jump gate appears dialog in the system"
#define REM_JUMPDIALOG             "// The jump dialog in the system"
#define REM_JUMPOPTIONS            "// The jump options in the system"

// captions for edit dialog boxes
#define EDIT_CAPTION           "Battle Configuration <"
#define GENERAL_CAPTION        ">  -  General Parameters"
#define SYSTEMS_CAPTION        ">  -  Systems "
#define SYSTEM_CAPTION         ">  -  System "
#define SYSTEM_CAPTION1        " of "
#define SYSTEM_CAPTION2        " <"
#define SYSTEM1_CAPTION        ">  -  Enemies and Friends"
#define SYSTEM2_CAPTION        ">  -  Neutrals and Hulks"
#define SYSTEM3_CAPTION        ">  -  Jump Gate"
#define POSITION_CAPTION       " Positions"
#define RENAME_CAPTION         "Rename Battle"
#define BEHAVIOR_CAPTION       "Actions and Behavior of the Neutral Ships in "
#define ACTION_CAPTION         "Actions of the Friend and Enemy Ships in "
#define SYSOPT_CAPTION         " Options"
#define SYSJUMPOPT_CAPTION     " Jump Gate Options"
#define SYSJUMPDEST_CAPTION    " Jump Gate Destination"
#define NWARPINDIA_CAPTION     " Neutrals Warp In Dialog "
#define NWARPOUTDIA_CAPTION    " Neutrals Warp Out Dialog "
#define NBEHAVDIA_CAPTION      " Neutral Behavior Dialogs "
#define NTOFRIENDDIA_CAPTION   " Neutrals Become Friends Dialog "
#define NTOENEMYDIA_CAPTION    " Neutrals Become Enemies Dialog "
#define FWARPINDIA_CAPTION     " Friends Warp In Dialog "
#define FWOJEDIA_CAPTION       " Friends Warp Out and Join Escort Dialogs "
#define FWARPOUTDIA_CAPTION    " Friends Warp Out Dialog "
#define FJOINESCORTDIA_CAPTION " Friends Join Escort Dialog "
#define EWARPINDIA_CAPTION     " Enemies Warp In Dialog "
#define EWARPOUTDIA_CAPTION    " Enemies Warp Out Dialog "
#define IMPORTCHECK_CAPTION    "Import Battle Check Results"
#define IMPORT_CAPTION         "Import Battle"
#define DESTAVSYS_CAPTION1     "All Available Systems"
#define DESTAVSYS_CAPTION2     "Systems Contained in the Battle"

// jump gate state text
#define JUMPSTATE_ACTIVE       "There is an ACTIVE jump gate in the system"
#define JUMPSTATE_INACTIVE     "There is NO jump gate in the system"
#define JUMPSTATE_INCOMP       "There is an INCOMPLETE jump gate in the system"
#define JUMPSTATE_POSTIMESET   "* a position and an appearance time are set"
#define JUMPSTATE_POSSET       "* a position is set"
#define JUMPSTATE_TIMESET      "* an appearance time is set"
#define JUMPSTATE_NOPOSTIMESET "* position and/or appearance time are NOT set"
#define JUMPSTATE_DEST         "* a valid destination is defined"
#define JUMPSTATE_INVDEST      "* the destination is NOT part of the battle"
#define JUMPSTATE_NODEST       "* NO destination is defined"
#define JUMPSTATE_POSONLY      "The gate will be initially at the given position"
#define JUMPSTATE_TIMEONLY     "The gate will appear next to the player at the given time"
#define JUMPSTATE_TIMEPOS      "The gate will appear at the given position and time"
#define JUMPSTATE_VIS          "The gate will be visible"
#define JUMPSTATE_INVIS        "The gate will be invisible"

// other text
#define SHIPNAME_TEXT      "Set the name of the "
#define ESCORTNAME_TEXT    " class escort"
#define PLAYERNAME_TEXT    " class player ship"
#define ENEMYNAME_TEXT     " class enemy ship"
#define FRIENDNAME_TEXT    " class friendly ship"
#define NEUTRALNAME_TEXT   " class neutral ship"
#define HULKNAME_TEXT      " class hulk"
#define JUMPGATENAME_TEXT  " class jump gate"
#define SAVE_TEXT1         "                                  Battle Configuration "
#define SAVE_TEXT2         " saved.                                  "
#define SAVE_CAPTION       "Save"
#define SYS_QUICKINFO      "\011 (%u Friends, %u Enemies, %u Neutrals, %u Hulks, %u Gates)"
#define SYS_DELAPPTEXT     " and all its contents ?"
#define SYS_REPLACEAPPTEXT1 " by "
#define SYS_REPLACEAPPTEXT2 " (This will delete all positions given by planets in this system!)"
#define IMPORT_FILES       "Quick Battle 2 Files"
#define CONFIRM_IMPORT     "The check revealed propably missing objects in this battle. Do you want to import it anyway?"
#define IMPORT_SUCCESS     "The battle %s has successfully been imported!"
#define SETUPKA_TEXT       "Configure Qb2Edit: Set KA main directory\nCurrent Path: "
#define NOTE_JUMPDEST      "Please note: the currently selected system is not contained in the battle yet! You will have to add this system before you can finish!"

// the default speaker
#define DEFAULT_SPEAKER    "Speaker"

#endif
